/**
 * XActRelationshipEntryRelationship.java
 *
 * File generated from the medication::XActRelationshipEntryRelationship uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipEntryRelationship.
 *
 * 
 */

@XmlType(name = "XActRelationshipEntryRelationship")
@XmlEnum
@XmlRootElement(name = "XActRelationshipEntryRelationship")
public enum XActRelationshipEntryRelationship {
	@XmlEnumValue("XCRPT")
	XCRPT("XCRPT"),
	@XmlEnumValue("COMP")
	COMP("COMP"),
	@XmlEnumValue("RSON")
	RSON("RSON"),
	@XmlEnumValue("SPRT")
	SPRT("SPRT"),
	@XmlEnumValue("CAUS")
	CAUS("CAUS"),
	@XmlEnumValue("GEVL")
	GEVL("GEVL"),
	@XmlEnumValue("MFST")
	MFST("MFST"),
	@XmlEnumValue("REFR")
	REFR("REFR"),
	@XmlEnumValue("SAS")
	SAS("SAS"),
	@XmlEnumValue("SUBJ")
	SUBJ("SUBJ");
	
	private final String value;

    XActRelationshipEntryRelationship(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActRelationshipEntryRelationship fromValue(String v) {
        for (XActRelationshipEntryRelationship c: XActRelationshipEntryRelationship.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}